Bug 214733 - be able to pass in all configurable paths to ds_newinst
be able to pass in all configurable paths to ds_newinst
Product: 389
Classification: Community
Component: Install/Uninstall (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rich Megginson
Viktor Ashirov
Depends On:
Blocks: 152373 240316 FDS1.1.0
  Show dependency treegraph
Reported: 2006-11-08 21:48 EST by Rich Megginson
Modified: 2015-12-07 12:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2015-12-07 12:05:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
diffs for fix (1.89 KB, patch)
2006-11-08 21:48 EST, Rich Megginson
no flags Details | Diff

  None (edit)
Description Rich Megginson 2006-11-08 21:48:10 EST
We need to be able to pass in all configurable paths to ds_newinst, such as
sysconfdir, localstatedir, db_dir, config_dir, etc.
Comment 1 Rich Megginson 2006-11-08 21:48:11 EST
Created attachment 140740 [details]
diffs for fix
Comment 2 Rich Megginson 2006-11-08 21:50:27 EST
Just add all of the paths that are set-able in create_instance.c to
ds_newinst.pl.  The paths will be parsed from the input .inf file e.g.
config_dir= /path/to/config
sysconfdir= /path/to/sysconf
in the [slapd] section.
Comment 3 Noriko Hosoi 2006-11-09 02:11:23 EST
Looks good.  Thank you, Rich!

I've just noticed that sasl_path is not on the list that can be specified in the
inf file.  Do we want to do it?  Or there's no such need?

> cf->sasl_path = PR_smprintf("%s%csasl2", cf->sroot, FILE_PATHSEP);
Comment 4 Rich Megginson 2006-11-09 10:42:21 EST
Reviewed by: nhosoi (Thanks!)
Fix Description: In addition to
I added sasl_path:
+ $cgiargs{"sasl_path"} = $table{"slapd"}->{"sasl_path"};
Files: ds_newinst.pl
Branch: HEAD
Tested on: RHEL4
Flag day: no

Checking in ds_newinst.pl;
/cvs/dirsec/ldapserver/ldap/admin/src/ds_newinst.pl,v  <--  ds_newinst.pl
new revision: 1.10; previous revision: 1.9
Comment 5 Rich Megginson 2006-11-09 23:24:51 EST
There were a couple of other minor problems with ds_newinst.pl
1) Should only set cgi parameters for those items which have a value
2) Should not setenv NETSITE_ROOT - this overrides prefix settings
3) Should not set prefix here - it is set elsewhere

Checking in ds_newinst.pl;
/cvs/dirsec/ldapserver/ldap/admin/src/ds_newinst.pl,v  <--  ds_newinst.pl
new revision: 1.11; previous revision: 1.10

Note You need to log in before you can comment on or make changes to this bug.